    import MapShadow from 'f.lux/src/MapShadow.js'

public class | source

# MapShadow

#### Extends:

Shadow → MapShadow

Default shadow api for the `MapProperty`. Exposes the Map interface.

#### See:

- MapProperty

## Constructor Summary

Public Constructor
public | constructor(impl: *) |

## Member Summary

Public Members
public get | size: * |

## Method Summary

Public Methods
public | [Symbol.iterator](): * |
public | clear() |
public | delete(key: *): * |
public | entries(): * |
public | get(key: *): * |
public | has(key: *): * |
public | keys(): * |
public | keysArray(): * |
public | set(key: *, value: *): * |
public | values(): * |
public | valuesArray(): * |

## Inherited Summary

From class Shadow
public | [_impl]: * |
public | $(): Access Gets the Access object for obtaining information about a property. |
public | $$(): Property Gets the Property managing this shadow state property. |
public | toJSON(): Object | Array Gets the actual state property being proxied by this shadow state property. |
public | toString(): * |

## Public Constructors

### public constructor(impl: *) source

#### Override:

Shadow#constructor

#### Params:

Name | Type | Attribute | Description
impl | * |  |

## Public Members

### public get size: * source

## Public Methods

### public [Symbol.iterator](): * source

#### Return:

*

### public clear() source

### public delete(key: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |

#### Return:

*

### public entries(): * source

#### Return:

*

### public get(key: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |

#### Return:

*

### public has(key: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |

#### Return:

*

### public keys(): * source

#### Return:

*

### public keysArray(): * source

#### Return:

*

### public set(key: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |
value | * |  |

#### Return:

*

### public values(): * source

#### Return:

*

### public valuesArray(): * source

#### Return:

*